Pagina 1 di 1

individuazione pacchetti danneggiati bloccati

MessaggioInviato: 06/12/2015, 11:10
da Marcox
Buongiorno a tutti,
sono nuovo e vengo da ubuntu, per cui chiedo già scusa perché probabilmente mi sfuggono delle cose di base.
Come si individuano i pacchetti danneggiati bloccati?
Sto tentando di installare pipelight-multi (uso Synaptic) e mi dice che ci sono dei pacchetti danneggiati da riparare e che i pacchetti danneggiati risultano bloccati.
Come posso fare a individuarli e riparare le dipendenze? Ho provato con debfoster... qualcosa di più semplice?
Grazie,
Marco

Re: individuazione pacchetti danneggiati bloccati

MessaggioInviato: 06/12/2015, 14:37
da HAL 9000
Benvenuto! :)

Per le segnalazioni di problemi, a prescindere dal proprio metodo di installazione preferito, è meglio ricorrere al terminale, perché è molto più semplice riportare l'output.

Effettua una simulazione dell'installazione (-s sta per --simulate):
Codice: Seleziona tutto
apt-get install nome-pacchetto-che-vuoi-installare -s

dove ovviamente al posto di "nome-pacchetto..." inserisci quello che non ti riesce di installare, e riporta qui l'output.

Inoltre, riporta anche l'output di:
Codice: Seleziona tutto
dpkg --audit && echo ok


E di:
Codice: Seleziona tutto
apt-cache policy


Se non riesci a riportarli in un messaggio per via della grandezza, allegali in un file di testo a http://tinyupload.com e lascia qua un link. (Gli allegati del forum non funzionano al momento.)

Re: individuazione pacchetti danneggiati bloccati

MessaggioInviato: 13/12/2015, 10:36
da HAL 9000
Puoi aggiornarci? Hai risolto il tuo problema?

Re: individuazione pacchetti danneggiati bloccati

MessaggioInviato: 17/07/2016, 23:43
da Marcox
Rieccomi, sono tornato... stesso problema.
Anche se con notevole ritardo, riporto i risultati:
apt-get install pipelight-multi -s
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:
I seguenti pacchetti hanno dipendenze non soddisfatte:
pipelight-multi : Dipende: wine-staging
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.


Se provo a installare wine-staging, mi chiede wine-staging:i386, poi mi chiede libgphoto2-6:i386, il quale mi chiede di disinstallare una serie di pacchetti, tra cui: mate-desktop( ??? )

dpkg --audit && echo ok
ok


Può dipendere dal fatto che ho installato playonlinux (e quindi altri pacchetti di wine)?